summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorRalph Boehme <slow@samba.org>2016-04-24 07:44:12 +0200
committerAndreas Schneider <asn@cryptomilk.org>2016-04-25 10:35:14 +0200
commitfcf2cbb0957595c09e69abdeaab59e800d4ce37b (patch)
tree69be255a6c7c79a8f8efcb2275ad738025e003bb /testprogs
parent20dc68050df7b1b0c9d06f8251183a0a6283fcaf (diff)
downloadsamba-fcf2cbb0957595c09e69abdeaab59e800d4ce37b.tar.gz
selftest/samba4.blackbox.export.keytab: check AS-REQ with SPN
Signed-off-by: Ralph Boehme <slow@samba.org> Reviewed-by: Andreas Schneider <asn@samba.org>
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_export_keytab_heimdal.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_export_keytab_heimdal.sh b/testprogs/blackbox/test_export_keytab_heimdal.sh
index 8ee9e9e3638..19c891fc77e 100755
--- a/testprogs/blackbox/test_export_keytab_heimdal.sh
+++ b/testprogs/blackbox/test_export_keytab_heimdal.sh
@@ -107,6 +107,10 @@ export KRB5CCNAME
testit "kinit with keytab as $USERNAME" $VALGRIND $samba4kinit --keytab=$PREFIX/tmpkeytab --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
+KRB5CCNAME="$PREFIX/tmpserverccache"
+export KRB5CCNAME
+testit "kinit with SPN from keytab" $VALGRIND $samba4kinit -k -t $PREFIX/tmpkeytab-server cifs/$SERVER_FQDN || failed=`expr $failed + 1`
+
testit "del user" $VALGRIND $samba_tool user delete nettestuser -k yes $@ || failed=`expr $failed + 1`
rm -f $PREFIX/tmpadminccache $PREFIX/tmpuserccache $PREFIX/tmpkeytab $PREFIX/tmpkeytab-2 $PREFIX/tmpkeytab-server